org.eclipse.net4j.util.event

## Class EventUtil

- java.lang.Object
- - org.eclipse.net4j.util.event.EventUtil

-     public final class EventUtil
      extends java.lang.Object

  Various static helper methods for dealing with `events`, `notifiers` and `listeners`.
  Author:
    Eike Stepper

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static IListener[]` | `NO_LISTENERS`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `addListener(java.lang.Object notifier, IListener listener)`
    `static boolean` | `addUniqueListener(java.lang.Object notifier, IListener listener)`
    `static IListener[]` | `getListeners(java.lang.Object notifier)`
    `static boolean` | `hasListener(java.lang.Object notifier, IListener listener)`
    `static boolean` | `removeListener(java.lang.Object notifier, IListener listener)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NO_LISTENERS

          public static final IListener[] NO_LISTENERS

      Since:
        3.0

  - ### Method Detail

    - #### addUniqueListener

          public static boolean addUniqueListener(java.lang.Object notifier,
                                                  IListener listener)

      Since:
        3.2

    - #### addListener

          public static boolean addListener(java.lang.Object notifier,
                                            IListener listener)

    - #### removeListener

          public static boolean removeListener(java.lang.Object notifier,
                                               IListener listener)

    - #### getListeners

          public static IListener[] getListeners(java.lang.Object notifier)

    - #### hasListener

          public static boolean hasListener(java.lang.Object notifier,
                                            IListener listener)

      Since:
        3.2

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html